# Class NoLogger

java.lang.Object
org.mariadb.jdbc.internal.logging.NoLogger

All Implemented Interfaces:
  `Logger`

public class NoLogger extends Object implements Logger

## Constructor Summary

Constructors
Constructor
Description
`NoLogger()`

## Method Summary

Modifier and Type
Method
Description
`void`
`debug(String msg)`
`void`
`debug(String format, Object arg)`
`void`
`debug(String format, Object... arguments)`
`void`
`debug(String format, Object arg1, Object arg2)`
`void`
`debug(String msg, Throwable throwable)`
`void`
`error(String msg)`
`void`
`error(String format, Object arg)`
`void`
`error(String format, Object... arguments)`
`void`
`error(String format, Object arg1, Object arg2)`
`void`
`error(String msg, Throwable throwable)`
`void`
`info(String msg)`
`void`
`info(String format, Object arg)`
`void`
`info(String format, Object... arguments)`
`void`
`info(String format, Object arg1, Object arg2)`
`void`
`info(String msg, Throwable throwable)`
`boolean`
`isDebugEnabled()`
`boolean`
`isErrorEnabled()`
`boolean`
`isInfoEnabled()`
`boolean`
`isTraceEnabled()`
`boolean`
`isWarnEnabled()`
`void`
`trace(String msg)`
`void`
`trace(String format, Object arg)`
`void`
`trace(String format, Object... arguments)`
`void`
`trace(String format, Object arg1, Object arg2)`
`void`
`trace(String msg, Throwable throwable)`
`void`
`warn(String msg)`
`void`
`warn(String format, Object arg)`
`void`
`warn(String format, Object... arguments)`
`void`
`warn(String format, Object arg1, Object arg2)`
`void`
`warn(String msg, Throwable throwable)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NoLogger

public NoLogger()

## Method Details

### isTraceEnabled

public boolean isTraceEnabled()

Specified by:
  `isTraceEnabled` in interface `Logger`

### trace

public void trace(String msg)

Specified by:
  `trace` in interface `Logger`

### trace

public void trace(String format, Object arg)

Specified by:
  `trace` in interface `Logger`

### trace

public void trace(String format, Object arg1, Object arg2)

Specified by:
  `trace` in interface `Logger`

### trace

public void trace(String format, Object... arguments)

Specified by:
  `trace` in interface `Logger`

### trace

public void trace(String msg, Throwable throwable)

Specified by:
  `trace` in interface `Logger`

### isDebugEnabled

public boolean isDebugEnabled()

Specified by:
  `isDebugEnabled` in interface `Logger`

### debug

public void debug(String msg)

Specified by:
  `debug` in interface `Logger`

### debug

public void debug(String format, Object arg)

Specified by:
  `debug` in interface `Logger`

### debug

public void debug(String format, Object arg1, Object arg2)

Specified by:
  `debug` in interface `Logger`

### debug

public void debug(String format, Object... arguments)

Specified by:
  `debug` in interface `Logger`

### debug

public void debug(String msg, Throwable throwable)

Specified by:
  `debug` in interface `Logger`

### isInfoEnabled

public boolean isInfoEnabled()

Specified by:
  `isInfoEnabled` in interface `Logger`

### info

public void info(String msg)

Specified by:
  `info` in interface `Logger`

### info

public void info(String format, Object arg)

Specified by:
  `info` in interface `Logger`

### info

public void info(String format, Object arg1, Object arg2)

Specified by:
  `info` in interface `Logger`

### info

public void info(String format, Object... arguments)

Specified by:
  `info` in interface `Logger`

### info

public void info(String msg, Throwable throwable)

Specified by:
  `info` in interface `Logger`

### isWarnEnabled

public boolean isWarnEnabled()

Specified by:
  `isWarnEnabled` in interface `Logger`

### warn

public void warn(String msg)

Specified by:
  `warn` in interface `Logger`

### warn

public void warn(String format, Object arg)

Specified by:
  `warn` in interface `Logger`

### warn

public void warn(String format, Object... arguments)

Specified by:
  `warn` in interface `Logger`

### warn

public void warn(String format, Object arg1, Object arg2)

Specified by:
  `warn` in interface `Logger`

### warn

public void warn(String msg, Throwable throwable)

Specified by:
  `warn` in interface `Logger`

### isErrorEnabled

public boolean isErrorEnabled()

Specified by:
  `isErrorEnabled` in interface `Logger`

### error

public void error(String msg)

Specified by:
  `error` in interface `Logger`

### error

public void error(String format, Object arg)

Specified by:
  `error` in interface `Logger`

### error

public void error(String format, Object arg1, Object arg2)

Specified by:
  `error` in interface `Logger`

### error

public void error(String format, Object... arguments)

Specified by:
  `error` in interface `Logger`

### error

public void error(String msg, Throwable throwable)

Specified by:
  `error` in interface `Logger`